加载中…
个人资料
xiaoyuer_net
xiaoyuer_net
  • 博客等级:
  • 博客积分:0
  • 博客访问:13,269
  • 关注人气:17
  • 获赠金笔:0支
  • 赠出金笔:0支
  • 荣誉徽章:
访客
加载中…
好友
加载中…
评论
加载中…
留言
加载中…
博文
(2017-01-02 17:49)
分类: 待定
又是新的一年了……
阅读  ┆ 评论  ┆ 转载 ┆ 收藏 
(2016-11-09 23:49)
分类: LFS
前几日一时兴起,LFS了一个GNOME3,方式和以前搞KDE一样,通过git代码并自己尝试编译顺序,最后终于搞完了一个,除了桌面,应用程序仅编译了gedit和gnome-terminal。目前的问题如下:
  1. GDM无法工作。从日志上看,它就是报自己退出了,查不到有意义的信息,又懒得编译成debug模式,就算了,用sddm好了。
  2. gnome-control-center无法工作。运行它报段错误,同样没有有意义的信息。这个东西也是挺搞的,要求必须把蓝牙、触摸板、网络等东西都搞齐了才能继续,难道桌面PC真是没落到gnome的人都懒得考虑了?
  3. 无法通过startx来启动。把gnome-session放到.xinitrc中的话,它啥也不显示,就停在那儿,情况不明。
  4. 起初运行起来后,大约一分钟后自动退出,后查看日志发现是gsd-keyboard崩溃,果然把它从gnome的目录中删除后即正常工作。原因也是同样不明。
优点也还是有的:
  1. 与plasma5相比,启动速度快多了,进去后动画效果也要顺滑的多。当然,它的动画效果要比plasma5少的多。
  2. 现在的版本(我的显示为3.23.1把systemtray放到左下角了,相对于最初的gnome3靠鼠标在下面乱晃才能出来是要友好多
阅读  ┆ 评论  ┆ 转载 ┆ 收藏 
分类: OpenWRT

现在在用OpenWRT的路由器在当下载机,为了追新,一直是git的OpenWRT的代码来编译,但它默认编译的内核是4.1系列的,而从代码树中可以看到,其实4.4的补丁也都是有的,而且在include/kernel-version.mk中也有其它更新版本代码的信息。

为了切换到它能使用的最新内核,需要修改文件​target/linux/<路由器架构> 下的Makefile,将KERNEL_PATCHVER:= ××那一行的xx改成自己希望的版本系列即可。

阅读  ┆ 评论  ┆ 转载 ┆ 收藏 
(2015-10-31 23:03)
分类: LFS
自从改用EFI以来,发现只要以nomodeset方式启动,屏幕就是黑的。原来用的是一块AMD HD6850的卡,开源驱动倒也不错,所以没在意。但不久前,这块卡突然坏了,便又入了块GTX960,不幸的是,nouveau似乎尚不支持这个卡,只好用官方驱动,这个问题便成为一个大问题。
今晚使劲研究了一翻原因,原来是因为没有打开FB_EFI,但在内核配置中怎么都找不到它,折腾一晚上,终于发现原因:必须把DRM设置为Y,这个选项才能出来,设置成M就不行。
启动了无数次才搞定,但终于是搞好了~
阅读  ┆ 评论  ┆ 转载 ┆ 收藏 
(2015-07-26 02:06)
标签:

佛学

平时自己的电脑一直都主打LFS,但基本系统已经很久没有升级了。今晚便想着把basesystem中的包都升级一下。全弄好后,重启测试,发现KDE的polkits模块无法工作,仔细研究了一下,原来是因为先升级的systemd。后升级的pam。升级systemd会在的安全模块目录中放一个指向自己的符号链接,而因为是后升级的pam,把老的pam删除时,这个链接也相应需要恢复一下。具体地说,需要执行下面这条命令:

ln -s /basesystem/systemd/lib/security/pam_systemd.so /basesystem/pam/lib/security/

阅读  ┆ 评论  ┆ 转载 ┆ 收藏 
分类: 编程/学习
多年没有学习新东西了,近来发现自己越来越懒,脑袋越来越不好使,因此决定用QT5+sqlite来给自己写一个小的管理程序,管管自己工作上的某些事,算是活动一下脑袋吧。

初步的计划是用QTCreator来做,顺便学习一些C++的知识。
阅读  ┆ 评论  ┆ 转载 ┆ 收藏 
(2014-11-24 21:30)
分类: LFS
今天稍稍修改了一下wineqqlibs,配合新出来的QQ6.6,可以较完美地运行于窗口合并模式,而且截图功能也正常了。建议使用zd423的QQ6.6绿色版。

wineqqlibs下载:http://pan.baidu.com/s/1nt4xTWX
阅读  ┆ 评论  ┆ 转载 ┆ 收藏 
(2014-08-08 11:59)
分类: LFS
腾迅好像发疯了,QQ的版本不断升级,经过测试,发现0427那个包还是可以稳定地运行最新的QQ,但自6.1以后,截图功能无法使用了,而6.0是可以的。
目前还不太清楚是什么原因,所以还是建议使用QQ6.0吧~
阅读  ┆ 评论  ┆ 转载 ┆ 收藏 
(2014-06-27 23:46)
分类: LFS
讨论LFS/ARCH和C语言啥的,群号是 374738050 。
只准备维持一个200人的群~~
阅读  ┆ 评论  ┆ 转载 ┆ 收藏 
(2014-06-13 12:42)
分类: 待定
这一段时间,各种媒体、各种软件都在拼命推什么“世界杯”,让我这种对足球一点兴趣都没有的人觉得很烦,请问这些推送者,能不能给个选项嘛?!而且而且,有“世界杯”的体育运动不只是足球好不好?麻烦你们能不能至少在标题上写上“足球世界杯”?!
阅读  ┆ 评论  ┆ 转载 ┆ 收藏 
  

新浪BLOG意见反馈留言板 不良信息反馈 电话:4006900000 提示音后按1键(按当地市话标准计费) 欢迎批评指正

新浪简介 | About Sina | 广告服务 | 联系我们 | 招聘信息 | 网站律师 | SINA English | 会员注册 | 产品答疑

新浪公司 版权所有